#include <DallasTemperature.h>
#include <LiquidCrystal_I2C.h>  // LiquidCrystal_I2C Bibliothek einbinden.
#include <OneWire.h>
#include <Wire.h>  // Wire Bibliothek einbinden.

// Objekt für das LCD Display
LiquidCrystal_I2C lcd(0x27, 16, 2);

int ONE_WIRE_BUS = 2;           // Verbindung vom OneWire auf Pin 2 des Arduinos
OneWire oneWire(ONE_WIRE_BUS);  // Instanz zur Kommunikation mit einem OneWire
                                // Sensor
DallasTemperature sensors(&oneWire);  // Nutze diese Instanz für die
                                      // DallasTemperature Bibliothek

void setup() {
  // Starte serielle Schnittstelle zur Kommunikation mit dem Arduino
  Serial.begin(9600);
  // Starte Kommunikationsschnittstelle für den Temperatursensor
  sensors.begin();
  // Starte das Display
  lcd.init();
  // Hintergrundbeleuchtung fürs Display einschalten
  lcd.backlight();
}

void loop() {
  // Frage beim Sensor die Temperatur an, Start der Messung
  sensors.requestTemperatures();

  // Gebe die Temperatur in Grad Celsius auf der seriellen Schnittstelle aus
  Serial.println("Temperatur: " + String(sensors.getTempCByIndex(0)) + "°C");

  // Gebe die Temperatur auf dem Display aus
  lcd.setCursor(0, 0);
  lcd.print("Grad Celsius:");
  lcd.setCursor(0, 1);
  lcd.print(String(sensors.getTempCByIndex(0)) + "");

  // Warte eine Sekunde
  delay(1000);
}